| GlsMap Toolkit 1.10.2

Public Types | Public Member Functions | Static Public Member Functions | List of all members
disti::GlsDNCStdAppearance Class Reference

`#include <gls_dnc_std_appearance.h>`

## Public Types
enum | Palette { PALETTE_DAY , PALETTE_NIGHT }
enum | PaletteColor { PALETTE_ECR_ECRAREA_GROUND_SURFACE = 0 , PALETTE_ECR_ECRAREA_ISLAND , PALETTE_ECR_ECRAREA_WATER , PALETTE_ECR_ECRAREA_FORESHORE_WATER , PALETTE_ECR_COASTL_COASTLINE , PALETTE_ECR_ECRTEXT_NAMED_LOCATION , PALETTE_ECR_FORESHOL_FORESHORE_WATER , PALETTE_LCR_LANDAREA_EMBANK , PALETTE_LIM_LIMBNDYA_LIMIT_BOUNDARY , PALETTE_LIM_LIMBNDYL_LIMIT_BOUNDARY , PALETTE_LIM_LIMBNDYA_ANCHORAGE , PALETTE_LIM_LIMBNDYL_ANCHORAGE , PALETTE_LIM_LIMBNDYA_RESTRICTED_AREA , PALETTE_LIM_LIMBNDYL_RESTRICTED_AREA , PALETTE_HYD_SOUNDP_SOUNDING_PT_SHALLOW , PALETTE_HYD_SOUNDP_SOUNDING_PT_DEEP , PALETTE_HYD_HYDAREA_DEPTH_CURVE_SHALLOW , PALETTE_HYD_HYDAREA_DEPTH_CURVE_DEEP , PALETTE_IWY_LAKEA_LAKE , PALETTE_IWY_LAKEA_RESERVOIR , PALETTE_IWY_RIVERL_INLAND_SHORELINE , PALETTE_IWY_RIVERA_RIVER_STREAM , PALETTE_IWY_RIVERL_RIVER_STREAM , PALETTE_IWY_CANALA_CANAL , PALETTE_IWY_CANALL_CANAL , PALETTE_CUL_LANDMRKA_BUILT_UP_AREA , PALETTE_CUL_LANDMRKA_BUILT_UP_AREA_BOUNDARY , PALETTE_CUL_TRANSL_ROAD , PALETTE_CUL_RAILRDL_RAILROAD , PALETTE_OBS_BRIDGEL_BRIDGE , PALETTE_POR_STRUCTRL_BREAKWATER , PALETTE_POR_PIERL_PIER , PALETTE_NUM_ENTRIES }

## Public Member Functions
| GlsDNCStdAppearance ()
| ~GlsDNCStdAppearance ()
void | SetPalette (const Palette pal)
Palette | GetPalette (void)
void | SetPaletteColor (const Palette pal, PaletteColor colorEnum, const glsColor &colorVal)
const glsColor & | GetPaletteColor (const Palette pal, PaletteColor colorEnum)
void | ResetPaletteColors (const Palette pal)

## Static Public Member Functions
static void | ConfigLibrary (void *const userData, DNCMapChartDataSource &dncSource, const int libNum)

## Detailed Description

The GlsDNCStdAppearance class contains the data and methods to configure a DNCMapChartDataSource with a standard set of icons and features.

## Member Function Documentation

## ◆ ConfigLibrary()

void disti::GlsDNCStdAppearance::ConfigLibrary | ( | void *const | userData,
|  | DNCMapChartDataSource & | dncSource,
|  | const int | libNum
| ) |  |
| static

The GlsDNCStdAppearance::ConfigLibrary routine is called by the DNCMapChartDataSource whenever a new library is loaded in order to allow the appearance library to setup the library render settings.

See also
  DNCMapChartDataSource::SetConfigLibCB

## ◆ GetPalette()

GlsDNCStdAppearance::Palette disti::GlsDNCStdAppearance::GetPalette | ( | void |  | ) |

Returns
  The id of the currently selected color palette

## ◆ GetPaletteColor()

const glsColor & disti::GlsDNCStdAppearance::GetPaletteColor | ( | const Palette | pal,
|  | PaletteColor | colorEnum
| ) |  |

Get a palette color value

Parameters

  pal | The id of the palette
  colorEnum | The id of the color

## ◆ ResetPaletteColors()

void disti::GlsDNCStdAppearance::ResetPaletteColors | ( | const Palette | pal | ) |

Reset the given color palette to use the default colors

Parameters

  pal | The id of the palette to reset

## ◆ SetPalette()

void disti::GlsDNCStdAppearance::SetPalette | ( | const Palette | pal | ) |

Select which color palette to use for rendering.

Parameters

  pal | The id of the palette to use

## ◆ SetPaletteColor()

void disti::GlsDNCStdAppearance::SetPaletteColor | ( | const Palette | pal,
|  | PaletteColor | colorEnum,
|  | const glsColor & | colorVal
| ) |  |

Change the color in a palette

Parameters

  pal | The id of the palette
  colorEnum | The id of the color
  colorVal | The new color value

The documentation for this class was generated from the following files:

- gls_dnc_std_appearance.h
- gls_dnc_std_appearance.cpp